import dynamix_sdk.base as _base
import dynamix_sdk.api._nested as _nested


class CloudbrokerUserCreateResultStr(_base.BaseAPIResultStr):
    pass


class CloudbrokerUserCreateProtocol(_base.BasePostAPIFunctionProtocol):
    def create(
        self,
        *,
        user_name: str,
        email_address: str,
        password: str,
        api_access_group_ids: list[int] | None = None,
        auth_broker: _nested.AuthBroker | None = None,
    ) -> CloudbrokerUserCreateResultStr:
        ...
